using Mapster;


namespace Model
{
    /// <summary>
    /// 递归配置 pri_loop_set
    /// </summary>
    [SugarTable("pri_loop_set", "递归配置")]
    [Tenant("0")]
    public class PriLoopSet
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 配置ID
        /// </summary>
        [SugarColumn(ColumnDescription = "配置ID", ColumnName = "list_id")]
        public int listId { get; set; }


        /// <summary>
        /// 执行模式
        /// </summary>
        [SugarColumn(ColumnDescription = "执行模式", Length = 20, ColumnName = "loop_model")]
        public string? loopModel { get; set; }


        /// <summary>
        /// 父ID字段
        /// </summary>
        [SugarColumn(ColumnDescription = "父ID字段", Length = 50, ColumnName = "parent_field")]
        public string? parentField { get; set; }


        /// <summary>
        /// 子ID字段
        /// </summary>
        [SugarColumn(ColumnDescription = "子ID字段", Length = 50, ColumnName = "son_field")]
        public string? sonField { get; set; }


        /// <summary>
        /// 查询表
        /// </summary>
        [SugarColumn(ColumnDescription = "查询表", Length = 50, ColumnName = "table_en_name")]
        public string? tableEnName { get; set; }


        /// <summary>
        /// 级差
        /// </summary>
        [SugarColumn(ColumnDescription = "级差", ColumnName = "level_diff_flag")]
        public bool levelDiffFlag { get; set; }


        /// <summary>
        /// 发奖后是否继续
        /// </summary>
        [SugarColumn(ColumnDescription = "发奖后是否继续", ColumnName = "after_prize_flag")]
        public bool afterPrizeFlag { get; set; }


        /// <summary>
        /// 条件模式
        /// </summary>
        [SugarColumn(ColumnDescription = "条件模式", Length = 20, ColumnName = "condition_mode")]
        public string? conditionMode { get; set; }


        /// <summary>
        /// 查询库
        /// </summary>
        [SugarColumn(ColumnDescription = "查询库", ColumnName = "database_id")]
        public int databaseId { get; set; }



    }
}