using Mapster;


namespace Model
{
    /// <summary>
    /// 入参表 pri_project_param
    /// </summary>
    [SugarTable("pri_project_param", "入参表")]
    [Tenant("0")]
    public class PriProjectParam
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 字段名称
        /// </summary>
        [SugarColumn(ColumnDescription = "字段名称", Length = 50, ColumnName = "field_name")]
        public string? fieldName { get; set; }


        /// <summary>
        /// 字段名
        /// </summary>
        [SugarColumn(ColumnDescription = "字段名", Length = 50, ColumnName = "field_en_name")]
        public string? fieldEnName { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }



    }
}