using System;
using System.ComponentModel.DataAnnotations;
using Model.Base;

namespace Dto
{
    /// <summary>
    /// 修改
    /// </summary>
    public class ApiGroupUpdateDto
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "名称不能为空")]
        public string? groupName { get; set; }


        /// <summary>
        /// 说明
        /// </summary>
        public string? groupRemark { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [Required(ErrorMessage = "版本号不能为空")]
        public string? groupVersion { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 类型
        /// </summary>
        [Required(ErrorMessage = "类型不能为空")]
        public int groupKind { get; set; }



    }
}
