using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 详情
    /// </summary>
    public class GetPriRequestLogQueryVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        public int projectId { get; set; }


        /// <summary>
        /// 请求参数报文
        /// </summary>
        public string requestContent { get; set; }


        /// <summary>
        /// 响应数据报文
        /// </summary>
        public string responseContent { get; set; }


        /// <summary>
        /// 批次号
        /// </summary>
        public string batchNo { get; set; }


        /// <summary>
        /// 执行时间
        /// </summary>
        public DateTime? excuteDate { get; set; }


        /// <summary>
        /// 执行完响应时间
        /// </summary>
        public DateTime? responseDate { get; set; }


        /// <summary>
        /// 完成时间
        /// </summary>
        public DateTime? finishDate { get; set; }



    }
}
