using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriConditionService : IBaseService<PriCondition>
    {
        /// <summary>
        /// 奖励条件-列表
        /// </summary>
        /// <param name="listId">配置ID</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriConditionListVo> getPriConditionList([FromQuery] PagerInfo page, [FromQuery] PriCondition param);



    }
}
