using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriPrizeInSetService : IBaseService<PriPrizeInSet>
    {
        /// <summary>
        /// 奖励入库表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriPrizeInSetListVo> getPriPrizeInSetList([FromQuery] PagerInfo page, [FromQuery] PriPrizeInSet param);
    }
}
