using Mapster;


namespace Model
{
    /// <summary>
    /// api接口分组 api_group
    /// </summary>
    [SugarTable("api_group", "api接口分组")]
    [Tenant("0")]
    public class ApiGroup
    {
        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDescription = "名称", Length = 50, ColumnName = "group_name")]
        public string groupName { get; set; }


        /// <summary>
        /// 说明
        /// </summary>
        [SugarColumn(ColumnDescription = "说明", Length = 200, ColumnName = "group_remark")]
        public string groupRemark { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", Length = 20, ColumnName = "group_version")]
        public string groupVersion { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 类型
        /// </summary>
        [SugarColumn(ColumnDescription = "类型", ColumnName = "group_kind")]
        public int groupKind { get; set; }



    }
}