using Mapster;


namespace Model
{
    /// <summary>
    /// 数据库连接配置 pri_database_set
    /// </summary>
    [SugarTable("pri_database_set", "数据库连接配置")]
    [Tenant("0")]
    public class PriDatabaseSet
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// IP地址
        /// </summary>
        [SugarColumn(ColumnDescription = "IP地址", Length = 200, ColumnName = "ip_address")]
        public string? ipAddress { get; set; }


        /// <summary>
        /// 端口
        /// </summary>
        [SugarColumn(ColumnDescription = "端口", ColumnName = "port")]
        public int port { get; set; }


        /// <summary>
        /// 用户名
        /// </summary>
        [SugarColumn(ColumnDescription = "用户名", Length = 50, ColumnName = "user_id")]
        public string? userId { get; set; }


        /// <summary>
        /// 密码
        /// </summary>
        [SugarColumn(ColumnDescription = "密码", Length = 50, ColumnName = "password")]
        public string? password { get; set; }


        /// <summary>
        /// 数据库名
        /// </summary>
        [SugarColumn(ColumnDescription = "数据库名", Length = 50, ColumnName = "database_name")]
        public string? databaseName { get; set; }


        /// <summary>
        /// 数据库
        /// </summary>
        [SugarColumn(ColumnDescription = "数据库", Length = 50, ColumnName = "title")]
        public string? title { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }



    }
}