using Newtonsoft.Json;

namespace Vo.Admin
{
    /// <summary>
    /// 列表
    /// </summary>
    public class GetPriLogListVo
    {
        /// <summary>
        /// ID
        /// </summary>
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        public int status { get; set; }


        /// <summary>
        /// 配置ID
        /// </summary>
        public int listId { get; set; }


        /// <summary>
        /// 发放对象
        /// </summary>
        public string prizeObjId { get; set; }


        /// <summary>
        /// 批次号
        /// </summary>
        public string batchNo { get; set; }


        /// <summary>
        /// 入口
        /// </summary>
        public int prizeIn { get; set; }


        /// <summary>
        /// 奖励金额
        /// </summary>
        public decimal prizeAmount { get; set; }


        /// <summary>
        /// 请求参数
        /// </summary>
        public string requestParam { get; set; }


        /// <summary>
        /// 奖励条件明细
        /// </summary>
        public string stepList { get; set; }


        /// <summary>
        /// 入参地址
        /// </summary>
        public string prizeInUrl { get; set; }


        /// <summary>
        /// 出的路径
        /// </summary>
        public string prizeOutUrl { get; set; }


        /// <summary>
        /// 出的内容
        /// </summary>
        public string prizeOutContent { get; set; }


        /// <summary>
        /// 报错日志
        /// </summary>
        public string errLog { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? createDate { get; set; }



    }
}
