using Dto;
using Vo;
using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    public interface IApiGroupService : IBaseService<ApiGroup>
    {
        /// <summary>
        /// api接口分组-列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>api接口分组列表</returns>
        PagedInfo<ApiGroupListVo> List([FromQuery] ApiGroupListDto parm);




        List<string> GroupsForAdmin(string value);





        /// <summary>
        /// api接口分组-下拉框数据
        /// </summary>
        /// <returns>api接口分组下拉框数据</returns>
        PagedInfo<ApiGroupSelectListVo> SelectList();



    }
}
