using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriListAmountSetService : IBaseService<PriListAmountSet>
    {
        /// <summary>
        /// 奖励金额设置-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriListAmountSetListVo> getPriListAmountSetList([FromQuery] PagerInfo page, [FromQuery] PriListAmountSet param);



    }
}
