using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriListService : IBaseService<PriList>
    {
        /// <summary>
        /// 奖励配置-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriListListVo> getPriListList([FromQuery] PagerInfo page, [FromQuery] PriList param);


        /// <summary>
        /// 奖励配置-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriListDicVo> getPriListDic([FromQuery] PagerInfo page);



    }
}
