using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriLogService : IBaseService<PriLog>
    {
        /// <summary>
        /// 奖励发放日志-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriLogListVo> getPriLogList([FromQuery] PagerInfo page, [FromQuery] PriLog param);



    }
}
