using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriPrizeInTableService : IBaseService<PriPrizeInTable>
    {
        /// <summary>
        /// 奖励入库表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriPrizeInTableListVo> getPriPrizeInTableList([FromQuery] PagerInfo page, [FromQuery] PriPrizeInTable param);


        /// <summary>
        /// 奖励入库表-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriPrizeInTableDicVo> getPriPrizeInTableDic([FromQuery] PagerInfo page);



    }
}
