using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriProjectService : IBaseService<PriProject>
    {
        /// <summary>
        /// 奖励项目-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriProjectListVo> getPriProjectList([FromQuery] PagerInfo page, [FromQuery] PriProject param);


        /// <summary>
        /// 奖励项目-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriProjectDicVo> getPriProjectDic([FromQuery] PagerInfo page);



    }
}
