using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRecordService : IBaseService<PriRecord>
    {
        /// <summary>
        /// 奖励记录-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRecordListVo> getPriRecordList([FromQuery] PagerInfo page, [FromQuery] PriRecord param);



    }
}
