using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRecursionStartTableService : IBaseService<PriRecursionStartTable>
    {
        /// <summary>
        /// 递归开始条件对象表-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRecursionStartTableListVo> getPriRecursionStartTableList([FromQuery] PagerInfo page, [FromQuery] PriRecursionStartTable param);


        /// <summary>
        /// 递归开始条件对象表-下拉框数据
        /// </summary>
        /// <param name="page">分页参数</param>
        /// <returns>下拉框数据</returns>
        PagedInfo<GetPriRecursionStartTableDicVo> getPriRecursionStartTableDic([FromQuery] PagerInfo page);



    }
}
